#pragma once

#include "stdint.h"

class AbstractChecksumCalculator
{
public:
    virtual ~AbstractChecksumCalculator() = default;

    virtual void addValue(unsigned char val) = 0;
    virtual uint32_t getChecksum() const = 0;

    virtual void reset()
    {
    }
};
